package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.Dto.MessageStatic;
import com.zcxk.Dto.RequsetMessageQuery;
import com.zcxk.entity.Message;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (Message)表数据库访问层
 *
 * @author makejava
 * @since 2020-11-12 10:53:24
 */
@Mapper
public interface MessageMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Message selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<Message> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param message 实例对象
     * @return 对象列表
     */
    List<Message> selectList(Message message);

    /**
     * 新增数据
     *
     * @param message 实例对象
     * @return 影响行数
     */
    int insert(Message message);

    /**
     * 批量新增
     *
     * @param messages 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("messages") List<Message> messages);

    /**
     * 修改数据
     *
     * @param message 实例对象
     * @return 影响行数
     */
    int update(Message message);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<Message> selectPage(IPage<Message> page, Message message);

    List<Message> queryLastMessage(@Param("num") int num, @Param("id") Integer id, Integer type);

    List<MessageStatic> queryUnreadMessageStatic(Integer id);

    int updateMultiple(RequsetMessageQuery requsetMessageQuery);
    List<MessageStatic>getUserMessageTypeByApp( List<String>appIds);
}